## libplasma 6.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "6.3.4")
project(libplasma VERSION ${PROJECT_VERSION})

set(QT_MIN_VERSION "6.7.0")
set(PROJECT_DEP_VERSION "6.3.4")
set(KF6_MIN_VERSION "6.10.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(KDEPackageAppTemplates)
include(ECMGenerateQmlTypes)
include(ECMMarkNonGuiExecutable)
include(ECMDeprecationSettings)
include(ECMQmlModule)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX PLASMA
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/plasma_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/PlasmaConfigVersion.cmake"
                  SOVERSION 6)

################# now find all used packages #################

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Quick Gui Qml Svg QuickControls2 DBus)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED
    COMPONENTS
        Archive
        Config
        CoreAddons
        GlobalAccel
        GuiAddons
        I18n
        IconThemes
        KIO
        WindowSystem
        Notifications
        Package
        KirigamiPlatform
        KCMUtils
        Svg
)
find_package(PlasmaActivities REQUIRED ${PROJECT_DEP_VERSION})

# Wayland features
find_package(PlasmaWaylandProtocols 1.10.0 REQUIRED)
find_package(Qt6WaylandClient ${QT_MIN_VERSION} REQUIRED CONFIG)
find_package(Wayland 1.9 REQUIRED Client)

option(WITHOUT_X11 "Build without X11 support (skips finding X11)." OFF)
if(NOT WITHOUT_X11)
    #optional features
    find_package(X11 MODULE)
    set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "https://www.x.org/"
                        TYPE OPTIONAL
                        )
    find_package(XCB MODULE COMPONENTS XCB COMPOSITE DAMAGE XFIXES RENDER)
    set_package_properties(XCB PROPERTIES DESCRIPTION "X protocol C-language Binding"
                        URL "https://xcb.freedesktop.org/"
                        TYPE OPTIONAL
                        )
    if(X11_FOUND AND XCB_XCB_FOUND)
        set(HAVE_X11 1)
        #X11_Xrender discovery is done by FindX11
        #add_feature_info("X Rendering Extension (libXrender)" X11_Xrender_FOUND "Support for compositing, rendering operations, and alpha-blending. STRONGLY RECOMMENDED")
    else()
        set(HAVE_X11 0)
    endif()
endif()

find_package(OpenGL)
set_package_properties(OpenGL PROPERTIES DESCRIPTION "The OpenGL libraries"
                       URL "https://www.opengl.org/"
                       TYPE OPTIONAL
                      )

find_package(EGL)
set_package_properties(EGL PROPERTIES
                       PURPOSE "Fallback when OpenGL not available because of missing GLVND"
                       TYPE OPTIONAL
                      )

get_target_property(QtGui_Enabled_Features Qt6::Gui QT_ENABLED_PUBLIC_FEATURES)
if(OpenGL_GLX_FOUND AND HAVE_X11 AND (QtGui_Enabled_Features MATCHES "opengl"))
    add_feature_info(GLX OpenGL_GLX_FOUND "OpenGL GLX libraries.")
    set(HAVE_GLX 1)
else()
    set(HAVE_GLX 0)
endif()

# OpenGL_EGL_FOUND is defined by FindOpenGL
if(TARGET OpenGL::EGL)
    add_feature_info(EGL OpenGL_EGL_FOUND
                     "A platform-agnostic mechanism for creating rendering surfaces for use with other graphics libraries, such as OpenGL|ES and OpenVG.")
    set(HAVE_EGL 1)
else()
    set(HAVE_EGL 0)
    message(STATUS "OpenGL::EGL is not available")
endif()

#########################################################################

ecm_set_disabled_deprecation_versions(
    QT 6.8.1
    KF 6.9.0
)

#add_definitions(-Wno-deprecated)

include(PlasmaMacros.cmake)

#########################################################################


option(BUILD_EXAMPLES "Build and install Plasma examples." OFF)
option(BUILD_COVERAGE "Build Plasma Frameworks with gcov support" OFF)

if (BUILD_EXAMPLES)
    find_package(KF6DBusAddons ${KF6_MIN_VERSION})
endif()

if(BUILD_COVERAGE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lgcov")
endif()

# make plasma_version.h available
include_directories(${CMAKE_CURRENT_BINARY_DIR})

################# list the subdirectories #################
add_definitions(-DTRANSLATION_DOMAIN=\"libplasma6\")
ki18n_install(po)
add_subdirectory(src)

if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()
add_subdirectory(templates)

################ create PlasmaConfig.cmake and install it ###########################

# create a Config.cmake and a ConfigVersion.cmake file and install them

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Plasma")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS Plasma_QCH
        FILE PlasmaQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/PlasmaQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/PlasmaConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/PlasmaConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  CMAKE_INSTALL_PREFIX
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/PlasmaConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/PlasmaConfigVersion.cmake"
  "${CMAKE_CURRENT_SOURCE_DIR}/PlasmaMacros.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT PlasmaTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE PlasmaTargets.cmake
        NAMESPACE Plasma::
        COMPONENT Devel)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR}/Plasma COMPONENT Devel )

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== examples/developerguide/CMakeLists.txt ===
#plasma_install_package(basic org.kde.example.developerguide.basic)

=== src/plasmaquick/CMakeLists.txt ===
# Consumer's include dir which has to be explicitly used to make headers of this lib visible to documented includes
# Results in duplicate of prefix-dir & C++ namespace below, but part of different things, so by design:
# <visibility-layer>/<C++ namespace>/class header files
set(PLASMAQUICK_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/PlasmaQuick")

add_library(PlasmaQuick SHARED)
add_library(Plasma::PlasmaQuick ALIAS PlasmaQuick)

qt_extract_metatypes(PlasmaQuick)

set_target_properties(PlasmaQuick PROPERTIES
    VERSION     ${PLASMA_VERSION}
    SOVERSION   ${PLASMA_SOVERSION}
    EXPORT_NAME PlasmaQuick
)

target_sources(PlasmaQuick PRIVATE
    appletcontext.cpp
    appletquickitem.cpp
    appletpopup.cpp
    debug_p.cpp
    dialog.cpp
    dialogshadows.cpp
    containmentview.cpp
    configmodel.cpp
    configview.cpp
    edgeeventforwarder.cpp
    plasmashellwaylandintegration.cpp
    sharedqmlengine.cpp
    quickviewsharedengine.cpp
    plasmawindow.cpp
    popupplasmawindow.cpp
    transientplacementhint.cpp
    windowresizehandler.cpp
    configcategory_p.cpp
    plasmoidattached_p.cpp
    dialogbackground_p.cpp
    utils.cpp
    plasmoid/plasmoiditem.cpp
    plasmoid/containmentitem.cpp
    plasmoid/dropmenu.cpp
    plasmoid/wallpaperitem.cpp

    appletcontext_p.h
    appletquickitem.h
    appletpopup.h
    debug_p.h
    dialog.h
    dialogshadows_p.h
    containmentview.h
    configmodel.h
    configview.h
    edgeeventforwarder.h
    plasmashellwaylandintegration.h
    sharedqmlengine.h
    quickviewsharedengine.h
    plasmawindow.h
    popupplasmawindow.h
    transientplacementhint_p.h
    windowresizehandler.h
    configcategory_p.h
    plasmoidattached_p.h
    dialogbackground_p.h
    utils.h
    plasmoid/plasmoiditem.h
    plasmoid/containmentitem.h
    plasmoid/dropmenu.h
    plasmoid/wallpaperitem.h
)

if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
    set(private_code_option  "PRIVATE_CODE")
endif()
qt_generate_wayland_protocol_client_sources(PlasmaQuick
    FILES
        "${PLASMA_WAYLAND_PROTOCOLS_DIR}/plasma-shell.xml"
        "${Wayland_DATADIR}/wayland.xml"
    ${private_code_option}
)

ecm_qt_declare_logging_category(PlasmaQuick
    HEADER debug_p.h
    IDENTIFIER LOG_PLASMAQUICK
    CATEGORY_NAME kf.plasma.quick
    OLD_CATEGORY_NAMES org.kde.plasmaquick
    DESCRIPTION "Plasma Quick lib"
    EXPORT PLASMA
)

set_target_properties(PlasmaQuick PROPERTIES
    VERSION     ${PLASMA_VERSION}
    SOVERSION   ${PLASMA_SOVERSION}
    EXPORT_NAME PlasmaQuick
)

target_include_directories(PlasmaQuick
    PUBLIC
        "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR};${CMAKE_CURRENT_BINARY_DIR}/..>"
    INTERFACE
        "$<INSTALL_INTERFACE:${PLASMAQUICK_INSTALL_INCLUDEDIR}>"
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/Plasma>" # module version header
)

target_link_libraries(PlasmaQuick
    PUBLIC
        Qt6::Gui
        Qt6::Quick
        Qt6::Qml
        Plasma::Plasma
        KF6::WindowSystem
    PRIVATE
        Qt6::Svg
        Qt6::GuiPrivate
        Qt6::WaylandClient
        Wayland::Client
        KF6::ConfigGui
        KF6::ConfigQml
        KF6::I18n
        KF6::IconThemes
        KF6::CoreAddons
        KF6::Package
        KF6::KIOCore
        KF6::KIOWidgets
        KF6::Notifications
        KF6::KCMUtilsQuick
        KF6::Svg
        KF6::GuiAddons
        KF6::I18nQml

)

if(HAVE_X11)
    target_link_libraries(PlasmaQuick
        PRIVATE
            ${X11_LIBRARIES}
            XCB::XCB
            Qt6::GuiPrivate
    )
endif()

install(TARGETS PlasmaQuick EXPORT PlasmaQuickTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_export_header(PlasmaQuick
    BASE_NAME PlasmaQuick
    GROUP_BASE_NAME KF
    VERSION ${KF6_MIN_VERSION}
    USE_VERSION_HEADER
    VERSION_BASE_NAME Plasma
    DEPRECATED_BASE_VERSION 0
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
    DEPRECATION_VERSIONS
)

set(plasmaquick_LIB_INCLUDES
    ${CMAKE_CURRENT_BINARY_DIR}/plasmaquick_export.h
)

ecm_generate_headers(PlasmaQuick_CamelCase_HEADERS
    HEADER_NAMES
        AppletQuickItem
        ContainmentView
        ConfigView
        ConfigModel
        Dialog
        PlasmaWindow
        PlasmaShellWaylandIntegration
        PopupPlasmaWindow
        AppletPopup
        SharedQmlEngine
        QuickViewSharedEngine
    REQUIRED_HEADERS plasmaquick_LIB_INCLUDES
    PREFIX PlasmaQuick
)

install(
    FILES ${plasmaquick_LIB_INCLUDES}
    DESTINATION ${PLASMAQUICK_INSTALL_INCLUDEDIR}/plasmaquick
    COMPONENT Devel
)

install(
    FILES ${PlasmaQuick_CamelCase_HEADERS}
    DESTINATION ${PLASMAQUICK_INSTALL_INCLUDEDIR}/PlasmaQuick
    COMPONENT Devel
)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/PlasmaQuick")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/PlasmaQuickConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/PlasmaQuickConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS  PLASMAQUICK_INSTALL_INCLUDEDIR CMAKE_INSTALL_PREFIX
)

ecm_setup_version(${PLASMA_VERSION}
                  VARIABLE_PREFIX PLASMAQUICK
                  SOVERSION 6
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/PlasmaQuickConfigVersion.cmake" )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/PlasmaQuickConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/PlasmaQuickConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}" COMPONENT Devel
)

install(EXPORT PlasmaQuickTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE PlasmaQuickTargets.cmake NAMESPACE Plasma:: )

=== templates/cpp-plasmoid6/src/CMakeLists.txt ===
# TODO: adapt "org.kde.plasma" here & elsewhere if needed (see README)
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.%{APPNAMELC}\")

add_library(org.kde.plasma.%{APPNAMELC} MODULE %{APPNAMELC}.cpp)

target_link_libraries(org.kde.plasma.%{APPNAMELC}
                      Qt6::Gui
                      Plasma::Plasma
                      KF6::I18n)


install(TARGETS org.kde.plasma.%{APPNAMELC} DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/applets)

plasma_install_package(package org.kde.plasma.%{APPNAMELC})

=== debian/changelog ===
libplasma (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:56:24 +0100

libplasma (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:20:47 +0000

libplasma (6.3.2-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on KF6 >= 6.10.0
    - Breaks/Replaces for Ubuntu version history.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Mar 2025 08:10:40 +0000

libplasma (6.3.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2025 18:16:41 +0000

libplasma (6.3.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 14:23:42 +0000

libplasma (6.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2025 12:55:52 +0000

libplasma (6.2.91-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.91)

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2025 13:42:22 +0000

=== debian/control ===
Source: libplasma
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               libegl-dev,
               libkf6archive-dev (>= 6.10.0~),
               libkf6config-dev (>= 6.10.0~),
               libkf6configwidgets-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6globalaccel-dev (>= 6.10.0~),
               libkf6guiaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6iconthemes-dev (>= 6.10.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6package-dev (>= 6.10.0~),
               libkf6parts-dev (>= 6.10.0~),
               libkf6svg-dev (>= 6.10.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libkirigami-dev (>= 6.10.0~),
               libopengl-dev,
               libplasmaactivities-dev (>= 6.3.4~),
               libsm-dev,
               libwayland-dev (>= 1.9~),
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-xfixes0-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.10.0~),
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
               qt6-svg-dev (>= 6.7.0~),
               qt6-tools-dev (>= 6.6.0~),
               qt6-wayland-dev (>= 6.7.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/libplasma
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libplasma
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libplasma
Rules-Requires-Root: no

Package: libplasma-dev
Architecture: any
Section: libdevel
Depends: extra-cmake-modules (>= 6.10.0~),
         libkf6config-dev (>= 6.10.0~),
         libkf6package-dev (>= 6.10.0~),
         libkf6windowsystem-dev (>= 6.10.0~),
         libplasma6 (= ${binary:Version}),
         libplasmaquick6 (= ${binary:Version}),
         plasma-desktoptheme (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         qt6-declarative-dev (>= 6.7.0~),
         ${misc:Depends},
Recommends: libplasma-doc (= ${source:Version}),
Description: development files for libplasma
 Plasma library and runtime components based upon KF6 and Qt 6.
 .
 Contains development files for libplasma.

Package: libplasma-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Plasma Runtime components (documentation)
 Plasma library and runtime components based upon KF6 and Qt 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libplasma6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

Package: libplasmaquick6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

Package: plasma-desktoptheme
Architecture: any
Depends: qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-tooling,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma5-desktoptheme (<< 6.1.0-2),
        plasma-framework (<< 5.116.0-0ubuntu2~)
Replaces: plasma5-desktoptheme (<< 6.1.0-2~),
          plasma-framework (<< 5.116.0-0ubuntu2~)
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

## libplasma 6.3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION "6.3.5")
 project(libplasma VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.7.0")
-set(PROJECT_DEP_VERSION "6.3.4")
+set(PROJECT_DEP_VERSION "6.3.5")
 set(KF6_MIN_VERSION "6.10.0")
 
 set(CMAKE_CXX_STANDARD 20)

=== templates/CMakeLists.txt ===
kde_package_app_templates(
    TEMPLATES
        qml-plasmoid6
        qml-plasmoid6-with-qml-extension
        cpp-plasmoid6
        plasma6-wallpaper
        plasma6-wallpaper-with-qml-extension
    INSTALL_DIR ${KDE_INSTALL_KAPPTEMPLATESDIR}
)

=== src/plasma/CMakeLists.txt ===
add_subdirectory(packagestructure)

# Consumer's include dir which has to be explicitly used to make headers of this lib visible to documented includes
# Results in duplicate of prefix-dir & C++ namespace below, but part of different things, so by design:
# <visibility-layer>/<C++ namespace>/class header files
set(PLASMA_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/Plasma")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-plasma.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-plasma.h)

add_library(Plasma)
add_library(Plasma::Plasma ALIAS Plasma)

qt_extract_metatypes(Plasma)

set_target_properties(Plasma PROPERTIES
    VERSION     ${PLASMA_VERSION}
    SOVERSION   ${PLASMA_SOVERSION}
    EXPORT_NAME Plasma
)

target_sources(Plasma PRIVATE
#global
    plasma.cpp
    pluginloader.cpp

#applets,containments,corona
    applet.cpp
    containment.cpp
    containmentactions.cpp
    corona.cpp
    private/applet_p.cpp
    private/containment_p.cpp

#graphics
    theme.cpp
    private/theme_p.cpp
    private/contrasteffectwatcher.cpp

    plasma.h
    pluginloader.h

#applets,containments,corona
    applet.h
    containment.h
    containmentactions.h
    corona.h
    private/applet_p.h
    private/containment_p.h

#graphics
    theme.h
    private/theme_p.h
    private/contrasteffectwatcher_p.h
)

if (Qt6_VERSION VERSION_GREATER_EQUAL "6.8.0")
    set(private_code_option  "PRIVATE_CODE")
endif()
qt6_generate_wayland_protocol_client_sources(Plasma
    ${private_code_option}
    FILES
        ${PLASMA_WAYLAND_PROTOCOLS_DIR}/contrast.xml
)

kconfig_add_kcfg_files(Plasma data/kconfigxt/libplasma-theme-global.kcfgc)

ecm_qt_declare_logging_category(Plasma
    HEADER debug_p.h
    IDENTIFIER LOG_PLASMA
    CATEGORY_NAME kf.plasma.core
    OLD_CATEGORY_NAMES org.kde.plasma
    DESCRIPTION "Plasma Core lib"
    EXPORT PLASMA
)

ecm_generate_export_header(Plasma
    EXPORT_FILE_NAME plasma/plasma_export.h
    BASE_NAME Plasma
    GROUP_BASE_NAME KF
    VERSION ${KF6_MIN_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
    DEPRECATION_VERSIONS
)

if(HAVE_X11)
    set(PLASMA_EXTRA_LIBS ${PLASMA_EXTRA_LIBS} XCB::XCB)
endif()

target_link_libraries(Plasma
PUBLIC
    Qt6::Gui
    KF6::ConfigCore
    KF6::CoreAddons
    Qt6::Qml
PRIVATE
    Qt6::Quick
    Qt6::WaylandClient
    KF6::ConfigGui
    KF6::ColorScheme
    KF6::ConfigQml
    KF6::Archive
    KF6::GuiAddons #kimagecache
    KF6::I18n
    KF6::WindowSystem #compositingActive
    KF6::GlobalAccel #Applet::setGlobalShortcut
    KF6::Notifications
    KF6::IconThemes
    Plasma::Activities
    KF6::Svg
    ${PLASMA_EXTRA_LIBS}
)

target_link_libraries(Plasma PRIVATE KF6::Package)

set(Plasma_BUILD_INCLUDE_DIRS
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}/Plasma
)
target_include_directories(Plasma
    PUBLIC
        "$<BUILD_INTERFACE:${Plasma_BUILD_INCLUDE_DIRS}>"
    INTERFACE
        "$<INSTALL_INTERFACE:${PLASMA_INSTALL_INCLUDEDIR}>"
)

########### install files ###############
ecm_generate_headers(Plasma_CamelCase_HEADERS
    HEADER_NAMES
        Applet
        Containment
        ContainmentActions
        Corona
        PluginLoader
        Theme
        Plasma
    REQUIRED_HEADERS Plasma_HEADERS
    PREFIX Plasma
)

install(FILES
        ${Plasma_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/plasma/plasma_export.h
    DESTINATION ${PLASMA_INSTALL_INCLUDEDIR}/plasma # C++ namespace
    COMPONENT Devel
)

install(
    FILES ${Plasma_CamelCase_HEADERS}
    DESTINATION ${PLASMA_INSTALL_INCLUDEDIR}/Plasma # C++ namespace
    COMPONENT Devel
)

install(TARGETS Plasma EXPORT PlasmaTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

if(BUILD_QCH)
    ecm_add_qch(
        Plasma_QCH
        NAME Plasma
        BASE_NAME Plasma
        VERSION ${PLASMA_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${Plasma_HEADERS}
            Mainpage.dox
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt6Gui_QCH
            KF6Service_QCH
            KF6Package_QCH
        INCLUDE_DIRS
            ${Plasma_BUILD_INCLUDE_DIRS}
        BLANK_MACROS
            PLASMA_EXPORT
            PLASMA_DEPRECATED
            PLASMA_DEPRECATED_EXPORT
            "PLASMA_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== debian/changelog ===
libplasma (6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
    - Use proper attached properties for Kirigami colorset.
  * Relax inter-plasma versioned dependency constraint so we can upload
    only 6.3.5 packages that have actual code changes.
  * Update upstream source repo URL.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:39 +0200

libplasma (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:01:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: libplasma
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
                extra-cmake-modules (>= 6.10.0~),
                gettext,
                libegl-dev,
                libkf6archive-dev (>= 6.10.0~),
                libkf6config-dev (>= 6.10.0~),
-               libkf6configwidgets-dev (>= 6.10.0~),
+               libkf6configwidgets-dev (>= 6.5.0~),
                libkf6coreaddons-dev (>= 6.10.0~),
                libkf6dbusaddons-dev (>= 6.10.0~),
                libkf6globalaccel-dev (>= 6.10.0~),
@@ -26,9 +25,9 @@
                libkf6kio-dev (>= 6.10.0~),
                libkf6notifications-dev (>= 6.10.0~),
                libkf6package-dev (>= 6.10.0~),
-               libkf6parts-dev (>= 6.10.0~),
+               libkf6parts-dev (>= 6.2.0~),
                libkf6svg-dev (>= 6.10.0~),
-               libkf6widgetsaddons-dev (>= 6.10.0~),
+               libkf6widgetsaddons-dev (>= 6.2.0~),
                libkf6windowsystem-dev (>= 6.10.0~),
                libkirigami-dev (>= 6.10.0~),
                libopengl-dev,
@@ -51,8 +50,8 @@
                qt6-wayland-dev (>= 6.7.0~),
 Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/libplasma
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libplasma
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libplasma
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libplasma
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libplasma.git
 Rules-Requires-Root: no
 
 Package: libplasma-dev
@@ -114,9 +113,7 @@
          qml6-module-qtquick-window,
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: plasma5-desktoptheme (<< 6.1.0-2),
-        plasma-framework (<< 5.116.0-0ubuntu2~)
-Replaces: plasma5-desktoptheme (<< 6.1.0-2~),
-          plasma-framework (<< 5.116.0-0ubuntu2~)
+Breaks: plasma-framework (<< 5.115.0-6~),
+Replaces: plasma-framework (<< 5.115.0-6~),
 Description: Plasma Runtime components
  Plasma library and runtime components based upon KF6 and Qt 6.

## libplasma 6.4.4

=== debian/changelog ===
libplasma (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Drop included upstream_2038cf78_colors_make_breeze_dark_darker.patch
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:29:30 +0100

libplasma (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:34:34 +0100

=== debian/control ===
Source: libplasma
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libegl-dev,
               libkf6archive-dev (>= 6.14.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6configwidgets-dev (>= 6.14.0~),
               libkf6coreaddons-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6globalaccel-dev (>= 6.14.0~),
               libkf6guiaddons-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6iconthemes-dev (>= 6.14.0~),
               libkf6kcmutils-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6notifications-dev (>= 6.14.0~),
               libkf6package-dev (>= 6.14.0~),
               libkf6parts-dev (>= 6.14.0~),
               libkf6svg-dev (>= 6.14.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               libkirigami-dev (>= 6.14.0~),
               libopengl-dev,
               libplasmaactivities-dev (>= 6.4.4~),
               libsm-dev,
               libwayland-dev (>= 1.9~),
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-xfixes0-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.10.0~),
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
               qt6-svg-dev (>= 6.8.0~),
               qt6-tools-dev (>= 6.8.0~),
               qt6-wayland-dev (>= 6.8.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/libplasma
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libplasma
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libplasma
Rules-Requires-Root: no

Package: libplasma-dev
Architecture: any
Section: libdevel
Depends: extra-cmake-modules (>= 6.14.0~),
         libkf6config-dev (>= 6.14.0~),
         libkf6package-dev (>= 6.14.0~),
         libkf6windowsystem-dev (>= 6.14.0~),
         libplasma6 (= ${binary:Version}),
         libplasmaquick6 (= ${binary:Version}),
         plasma-desktoptheme (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         qt6-declarative-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libplasma-doc (= ${source:Version}),
Description: development files for libplasma
 Plasma library and runtime components based upon KF6 and Qt 6.
 .
 Contains development files for libplasma.

Package: libplasma-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Plasma Runtime components (documentation)
 Plasma library and runtime components based upon KF6 and Qt 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libplasma6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

Package: libplasmaquick6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

Package: plasma-desktoptheme
Architecture: any
Depends: qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-tooling,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma5-desktoptheme (<< 6.1.0-2),
        plasma-framework (<< 5.116.0-0ubuntu2~)
Replaces: plasma5-desktoptheme (<< 6.1.0-2~),
          plasma-framework (<< 5.116.0-0ubuntu2~)
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

## libplasma 6.4.5

=== src/plasma/CMakeLists.txt ===
--- 
+++ 
@@ -62,8 +62,6 @@
         ${PLASMA_WAYLAND_PROTOCOLS_DIR}/contrast.xml
 )
 
-kconfig_add_kcfg_files(Plasma data/kconfigxt/libplasma-theme-global.kcfgc)
-
 ecm_qt_declare_logging_category(Plasma
     HEADER debug_p.h
     IDENTIFIER LOG_PLASMA
@@ -101,7 +99,6 @@
     KF6::ColorScheme
     KF6::ConfigQml
     KF6::Archive
-    KF6::GuiAddons #kimagecache
     KF6::I18n
     KF6::WindowSystem #compositingActive
     KF6::GlobalAccel #Applet::setGlobalShortcut
@@ -125,6 +122,8 @@
     INTERFACE
         "$<INSTALL_INTERFACE:${PLASMA_INSTALL_INCLUDEDIR}>"
 )
+
+ecm_generate_qdoc(Plasma plasma.qdocconf)
 
 ########### install files ###############
 ecm_generate_headers(Plasma_CamelCase_HEADERS

=== src/plasmaquick/CMakeLists.txt ===
--- 
+++ 
@@ -122,7 +122,6 @@
         KF6::KIOCore
         KF6::KIOWidgets
         KF6::Notifications
-        KF6::KCMUtilsQuick
         KF6::Svg
         KF6::GuiAddons
         KF6::I18nQml
@@ -172,6 +171,8 @@
     PREFIX PlasmaQuick
 )
 
+ecm_generate_qdoc(PlasmaQuick plasmaquick.qdocconf)
+
 install(
     FILES ${plasmaquick_LIB_INCLUDES}
     DESTINATION ${PLASMAQUICK_INSTALL_INCLUDEDIR}/plasmaquick

=== src/declarativeimports/core/CMakeLists.txt ===
if(HAVE_X11 AND XCB_XCB_FOUND AND XCB_COMPOSITE_FOUND AND XCB_DAMAGE_FOUND)
    set(HAVE_XCB_COMPOSITE TRUE)
else()
    set(HAVE_XCB_COMPOSITE FALSE)
endif()

configure_file(config-x11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-x11.h)

ecm_add_qml_module(corebindingsplugin URI "org.kde.plasma.core" VERSION 2.0 DEPENDENCIES QtCore QtQuick)

target_sources(corebindingsplugin PRIVATE
    action.cpp
    corebindingsplugin.cpp
    quicktheme.cpp
    tooltiparea.cpp
    tooltipdialog.cpp
    windowthumbnail.cpp

    action.h
    corebindingsplugin.h
    quicktheme.h
    tooltiparea.h
    tooltipdialog.h
    windowthumbnail.h
    ${RESOURCES}
)

ecm_target_qml_sources(corebindingsplugin SOURCES
    private/DefaultToolTip.qml
    private/DialogBackground.qml
)

target_link_libraries(corebindingsplugin PRIVATE
        Qt6::Quick
        Qt6::Qml
        Qt6::Widgets
        KF6::IconThemes
        KF6::I18n
        Qt6::Svg
        KF6::WindowSystem
        KF6::I18nQml
        Plasma::Plasma
        Plasma::PlasmaQuick
        Wayland::Client
)

if(HAVE_X11)
  target_link_libraries(corebindingsplugin PRIVATE ${X11_LIBRARIES} XCB::XCB Qt6::GuiPrivate)

  if(XCB_COMPOSITE_FOUND AND XCB_DAMAGE_FOUND)
    target_link_libraries(corebindingsplugin PRIVATE
        XCB::DAMAGE
        XCB::COMPOSITE
        )
  endif()

  if(HAVE_GLX)
    target_link_libraries(corebindingsplugin PRIVATE OpenGL::GLX)
  endif()
endif()

if(HAVE_EGL)
    target_link_libraries(corebindingsplugin PRIVATE OpenGL::EGL)
endif()

ecm_finalize_qml_module(corebindingsplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/desktoptheme/breeze-light/CMakeLists.txt ===
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/metadata.json.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/metadata.json"
    @ONLY
)

install(
    FILES colors "${CMAKE_CURRENT_BINARY_DIR}/metadata.json"
          plasmarc
    DESTINATION ${PLASMA_DATA_INSTALL_DIR}/desktoptheme/breeze-light
)

=== templates/qml-plasmoid6-with-qml-extension/plugin/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.%{APPNAMELC}\")

add_library(%{APPNAMELC}plugin SHARED %{APPNAMELC}plugin.cpp)

target_link_libraries(%{APPNAMELC}plugin
    KF6::I18n
    Qt6::Gui
    Qt6::Qml
)
install(TARGETS %{APPNAMELC}plugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/%{APPNAMELC})
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/%{APPNAMELC})

=== debian/changelog ===
libplasma (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:02:32 +0100

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                libkf6windowsystem-dev (>= 6.14.0~),
                libkirigami-dev (>= 6.14.0~),
                libopengl-dev,
-               libplasmaactivities-dev (>= 6.4.4~),
+               libplasmaactivities-dev (>= 6.4.5~),
                libsm-dev,
                libwayland-dev (>= 1.9~),
                libx11-xcb-dev,

## libplasma 6.4.5+p24.04+vstable+git20251003.1108

=== debian/changelog ===
libplasma (6.4.5+p24.04+vstable+git20251003.1108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 11:08:35 +0000

libplasma (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:50:06 +0000

libplasma (6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:31:56 +0000

libplasma (6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:21:39 +0000

libplasma (6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:52:47 +0000

libplasma (6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 25 Jun 2025 00:03:20 +0000

libplasma (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:40:37 +0000

libplasma (6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 21:10:43 +0000

libplasma (6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:25:17 +0000

libplasma (6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:20:10 +0000

libplasma (6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:21:59 +0000

libplasma (6.3.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 15:08:59 +0000

libplasma (6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:40:50 +0000

libplasma (6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 03:12:34 +0000

libplasma (6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:45:23 +0000

libplasma (6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:24:15 +0000

libplasma (6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:16:00 +0000

libplasma (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:27:19 +0000

libplasma (6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 14:31:37 +0000

libplasma (6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:21:32 +0000

libplasma (6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:38:39 +0000

libplasma (6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:15:34 +0000

libplasma (6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:49:09 +0000

libplasma (6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 13:09:39 +0000

libplasma (6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:25:15 +0000

libplasma (6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:56:17 +0000

libplasma (6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2024 00:21:20 +0000

libplasma (6.0.0-0neon) jammy; urgency=medium

  [ Jonathan Esk-Riddell ]
  * adpat to upstream name change

  [ Carlos De Maine ]
  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:13:35 +1000

plasma-framework6 (5.27.80-0neon) UNRELEASED; urgency=medium

  * New release

 -- Jonathan Esk-Riddell <jr@jriddell.org>  Mon, 12 Dec 2022 13:04:30 +0000

## libplasma 6.4.5+p24.04+vstable+git20251004.0544

=== debian/changelog ===
libplasma (6.4.5+p24.04+vstable+git20251004.0544-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:44:37 +0000
